package org.dataone.service.types.tidy;

import java.util.ArrayList;
import java.util.List;

import org.dataone.service.types.v1.Replica;
import org.dataone.service.util.DateTimeMarshaller;

public class TidyReplicaList {

	private List<String> flatReplicas;
	
	public TidyReplicaList(List<Replica> replicas) {
		
		flatReplicas = new ArrayList<String>();
		if (replicas != null) {
			for (Replica r : replicas) {
				flatReplicas.add(String.format("%s %s %s",
						r.getReplicaMemberNode().getValue(),
						r.getReplicationStatus(),
						DateTimeMarshaller.serializeDateToUTC(r.getReplicaVerified())));
			}
		}
	}

	public List<String> getFlattenedReplicas() {
		return flatReplicas;
	}
}
