/**
 * This work was created by participants in the DataONE project, and is
 * jointly copyrighted by participating institutions in DataONE. For 
 * more information on DataONE, see our web site at http://dataone.org.
 *
 *   Copyright ${year}
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 * 
 * $Id$
 */
package org.dataone.tidy.merge;

/**
 * The interface for implementing systemmetadata merge strategies.
 * 
 * @author rnahf
 */
public interface MergeStrategy<T> {

	/**
	 * Implementations are responsible for correctly filling out a MergeReport
	 * based on the inputs.
	 * 
	 * The expected behavior is to only populate the mergedSystemMetadata field
	 * if the strategy was successfully completed.  Otherwise a processing
	 * exception is recorded.  Any intermediate information is reported in either
	 * case.  
	 * 
	 * @param data
	 * @return
	 */
    public MergeReport mend(T data);
}
