package org.dataone.tidy.merge.strategy;

import java.math.BigInteger;

import org.dataone.service.exceptions.InvalidToken;
import org.dataone.service.exceptions.NotAuthorized;
import org.dataone.service.exceptions.NotFound;
import org.dataone.service.exceptions.NotImplemented;
import org.dataone.service.exceptions.ServiceFailure;
import org.dataone.service.types.v1.Checksum;
import org.dataone.service.types.v1.Identifier;
import org.dataone.service.types.v1.NodeReference;
import org.dataone.service.types.v1.ObjectFormatIdentifier;
import org.dataone.service.types.v1.Permission;
import org.dataone.service.types.v1.Subject;
import org.dataone.service.types.v1.SystemMetadata;
import org.dataone.service.types.v1.util.AccessUtil;
import org.dataone.tidy.merge.MNSystemMetadataDelegate;

public class ConstantAuthMNSysmetaProxy implements MNSystemMetadataDelegate {

	@Override
	public SystemMetadata getSystemMetadata(NodeReference nodeRef, Identifier pid)
	    throws InvalidToken, NotAuthorized, NotImplemented, ServiceFailure, NotFound 
	{
		SystemMetadata mnSysmeta = new SystemMetadata();
		mnSysmeta.setIdentifier(pid);
		mnSysmeta.setAuthoritativeMemberNode(nodeRef);
		mnSysmeta.setFormatId(new ObjectFormatIdentifier());
		mnSysmeta.setSerialVersion(new BigInteger("1"));
		mnSysmeta.getFormatId().setValue("text/xml");
		mnSysmeta.setSize(new BigInteger("12345678"));
		mnSysmeta.setChecksum(new Checksum());
		mnSysmeta.getChecksum().setAlgorithm("md5");
		mnSysmeta.getChecksum().setValue("dfjei30fovoslrf230598b");
		mnSysmeta.setSubmitter(new Subject());
		mnSysmeta.getSubmitter().setValue("me");
		mnSysmeta.setRightsHolder(new Subject());
		mnSysmeta.getRightsHolder().setValue("me");
		
		mnSysmeta.setAccessPolicy(AccessUtil.createSingleRuleAccessPolicy(
				new String[]{"testSubject"},
				new Permission[] {Permission.WRITE})
				);
		return mnSysmeta;
	}

}
