package org.dataone.tidy.merge.strategy;

import java.io.IOException;
import java.math.BigInteger;

import org.dataone.service.exceptions.InvalidToken;
import org.dataone.service.exceptions.NotAuthorized;
import org.dataone.service.exceptions.NotFound;
import org.dataone.service.exceptions.NotImplemented;
import org.dataone.service.exceptions.ServiceFailure;
import org.dataone.service.types.v1.Checksum;
import org.dataone.service.types.v1.Identifier;
import org.dataone.service.types.v1.NodeReference;
import org.dataone.service.types.v1.ObjectFormatIdentifier;
import org.dataone.service.types.v1.Permission;
import org.dataone.service.types.v1.Subject;
import org.dataone.service.types.v1.SystemMetadata;
import org.dataone.service.types.v1.util.AccessUtil;
import org.dataone.service.util.TypeMarshaller;
import org.dataone.tidy.merge.MNSystemMetadataDelegate;
import org.jibx.runtime.JiBXException;

public class FileAuthMNSysmetaProxy implements MNSystemMetadataDelegate {

	private String file;
	
	public FileAuthMNSysmetaProxy(String file) {
		this.file = file;
	}
	
	@Override
	public SystemMetadata getSystemMetadata(NodeReference nodeRef, Identifier pid)
	    throws InvalidToken, NotAuthorized, NotImplemented, ServiceFailure, NotFound 
	{
		try {
			SystemMetadata sysmeta = TypeMarshaller.unmarshalTypeFromStream(SystemMetadata.class,
					this.getClass().getResourceAsStream(this.file));
			return sysmeta;
			
		} catch (IOException e) {
			e.printStackTrace();
			throw new ServiceFailure("0000",e.getClass().getSimpleName() + ": " + e.getMessage());
			
		} catch (InstantiationException e) {
			e.printStackTrace();
			throw new ServiceFailure("0000",e.getClass().getSimpleName() + ": " + e.getMessage());

		} catch (IllegalAccessException e) {
			e.printStackTrace();
			throw new ServiceFailure("0000",e.getClass().getSimpleName() + ": " + e.getMessage());

		} catch (JiBXException e) {
			e.printStackTrace();
			throw new ServiceFailure("0000",e.getClass().getSimpleName() + ": " + e.getMessage());
		}
	}

}
